Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.ee
Class JDOEntityBean

    java.lang.Object
      |
      +--com.solarmetric.kodo.ee.JDOBean
            |
            +--com.solarmetric.kodo.ee.JDOEntityBean

All Implemented Interfaces:
  javax.ejb.EnterpriseBean, javax.ejb.EntityBean, Serializable

public abstract class JDOEntityBean
extends JDOBean
implements javax.ejb.EntityBean

Base class that can be used to implement a BMP Entity Bean with a wrapped JDO persistent instance. The behaviour of this wrapper is outlined in section 16.2.1 of the JDO 1.0 specification.

See Also:
  Serialized Form

Field Summary
`protected javax.ejb.EntityContext` | `ctx`

Fields inherited from class com.solarmetric.kodo.ee.JDOBean
`CM_JNDI_SUFFIX`

Constructor Summary
`JDOEntityBean()`

Method Summary
`PersistenceCapable` | `createPersistent()` Create a new instance of the PersistenceCapable.
`void` | `ejbActivate()` From section 16.2.1 of the JDO 1.0 specification: The ejbActivate method acquires a PersistenceManager from the ConnectionFactory, and finds the JDO instance with the specific primary key by calling getObjectById on the PersistenceManager instance.
`Object` | `ejbCreate()` From section 16.2.1 of the JDO 1.0 specification: The ejbCreate method creates a new instance of the corresponding JDO class corresponding to the primary key value, sets the jdoInstance variable, and calls makePersistent with the instance as a parameter.
`Object` | `ejbFindByPrimaryKey(Object pk)` Locate an instanced based on the Primary Key.
`Collection` | `ejbFindByQuery(String queryString)` Find a Collection of the persistent instances based on the JDOQL query.
`void` | `ejbLoad()` From section 16.2.1 of the JDO 1.0 specification: The ejbLoad and ejbStore methods are used to acquire and close the PersistenceManager.
`void` | `ejbLog(String msg, Throwable t, PrintWriter logWriter)` Allows the implementor to log messages.
`void` | `ejbPassivate()` From section 16.2.1 of the JDO 1.0 specification: The ejbPassivate method sets the jdoInstance to null and closes the PersistenceManager.
`void` | `ejbPostCreate()` From section 16.2.1 of the JDO 1.0 specification: An ejbPostCreate method is required for each ejbCreate method.
`void` | `ejbRemove()` From section 16.2.1 of the JDO 1.0 specification: The ejbRemove method calls deletePersistent with the JDO instance as a parameter.
`void` | `ejbStore()`
`Serializable` | `getPersistenceCapableInstance()` Return the wrapped PersistenceCapable object for this bean instance.
`abstract Class` | `getPersistentClass()`
`void` | `setEntityContext(javax.ejb.EntityContext ctx)` From section 16.2.1 of the JDO 1.0 specification: The setEntityContext method copies the value of the EntityContext parameter to the instance variable entityContext,looksupthe ConnectionFactory using JNDI, and sets it into the persistenceManagerFactory variable.
`void` | `unsetEntityContext()` From section 16.2.1 of the JDO 1.0 specification: The unsetEntityContext method clears the entityContext variable and the persistenceManagerFactory variable.

Methods inherited from class com.solarmetric.kodo.ee.JDOBean
`bindConnectionFactory, ejbException, ejbLog, getById, getConnectionFactory, getConnectionFactory, getContext, getJNDIName, getPersistenceManager, lookup, lookupConnectionFactory, setConnectionFactory, setLogWriter, setPropertiesResource, unsetConnectionFactory`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctx

    protected javax.ejb.EntityContext ctx

Constructor Detail

### JDOEntityBean

    public JDOEntityBean()

Method Detail

### getPersistentClass

    public abstract Class getPersistentClass()

### createPersistent

    public PersistenceCapable createPersistent()
                                        throws InstantiationException,
                                               IllegalAccessException

  Create a new instance of the PersistenceCapable. This should be overridden to assign a primary key if the PC uses application identity.

### getPersistenceCapableInstance

    public Serializable getPersistenceCapableInstance()

  Return the wrapped PersistenceCapable object for this bean instance. Note that this assumes that the wrapped PC implements java.io.Serializable.

### ejbCreate

    public Object ejbCreate()
                     throws javax.ejb.EJBException,
                            RemoteException

  From section 16.2.1 of the JDO 1.0 specification: The ejbCreate method creates a new instance of the corresponding JDO class corresponding to the primary key value, sets the jdoInstance variable, and calls makePersistent with the instance as a parameter.

### ejbPostCreate

    public void ejbPostCreate()
                       throws javax.ejb.EJBException,
                              RemoteException

  From section 16.2.1 of the JDO 1.0 specification: An ejbPostCreate method is required for each ejbCreate method. This method does nothing with the wrapped PC.

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException,
                            RemoteException

  From section 16.2.1 of the JDO 1.0 specification: The ejbActivate method acquires a PersistenceManager from the ConnectionFactory, and finds the JDO instance with the specific primary key by calling getObjectById on the PersistenceManager instance.
  Specified by:
    `ejbActivate` in interface `javax.ejb.EntityBean`

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException,
                             RemoteException

  From section 16.2.1 of the JDO 1.0 specification: The ejbPassivate method sets the jdoInstance to null and closes the PersistenceManager.
  Specified by:
    `ejbPassivate` in interface `javax.ejb.EntityBean`

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.EJBException,
                          RemoteException

  From section 16.2.1 of the JDO 1.0 specification: The ejbRemove method calls deletePersistent with the JDO instance as a parameter.
  Specified by:
    `ejbRemove` in interface `javax.ejb.EntityBean`

### ejbLoad

    public void ejbLoad()
                 throws javax.ejb.EJBException,
                        RemoteException

  From section 16.2.1 of the JDO 1.0 specification: The ejbLoad and ejbStore methods are used to acquire and close the PersistenceManager. Business methods operating on the JDO instance will access fields which will transparently cause the appropriate state transitions of the persistent instance. The state of the JDO instances will be synchronized with the datastore during transaction completion.
  Specified by:
    `ejbLoad` in interface `javax.ejb.EntityBean`

### ejbStore

    public void ejbStore()
                  throws javax.ejb.EJBException,
                         RemoteException

  Specified by:
    `ejbStore` in interface `javax.ejb.EntityBean`

### setEntityContext

    public void setEntityContext(javax.ejb.EntityContext ctx)
                          throws javax.ejb.EJBException

  From section 16.2.1 of the JDO 1.0 specification: The setEntityContext method copies the value of the EntityContext parameter to the instance variable entityContext,looksupthe ConnectionFactory using JNDI, and sets it into the persistenceManagerFactory variable.
  Specified by:
    `setEntityContext` in interface `javax.ejb.EntityBean`

### unsetEntityContext

    public void unsetEntityContext()
                            throws javax.ejb.EJBException,
                                   RemoteException

  From section 16.2.1 of the JDO 1.0 specification: The unsetEntityContext method clears the entityContext variable and the persistenceManagerFactory variable.
  Specified by:
    `unsetEntityContext` in interface `javax.ejb.EntityBean`

### ejbFindByPrimaryKey

    public Object ejbFindByPrimaryKey(Object pk)
                               throws javax.ejb.ObjectNotFoundException,
                                      javax.ejb.FinderException

  Locate an instanced based on the Primary Key.

### ejbFindByQuery

    public Collection ejbFindByQuery(String queryString)
                              throws javax.ejb.FinderException

  Find a Collection of the persistent instances based on the JDOQL query.

### ejbLog

    public void ejbLog(String msg,
                       Throwable t,
                       PrintWriter logWriter)

  Description copied from class: `JDOBean`
  Allows the implementor to log messages.
  Overrides:
    `ejbLog` in class `JDOBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.